import craps
import pytest

@pytest.mark.parametrize('roll_num', range(0,100))
def test_dice_roll_range(roll_num):
    result = craps.roll_dice()
    assert result in range(1, 7)

def test_dice_roll_average():
    total = 0
    rolls = 1000000
    for i in range(0,rolls):
        total += craps.roll_dice()

    assert 3.5 == pytest.approx(total/rolls, abs=0.01)

@pytest.mark.parametrize('total', [7, 11])
def test_play_craps_win(total):
    result = craps.play_craps(total)
    assert 1 == result

@pytest.mark.parametrize('total', [2, 3, 12])
def test_play_craps_loss(total):
    result = craps.play_craps(total)
    assert 0 == result


@pytest.mark.parametrize('total', [4, 5, 6, 8, 9, 10])
def test_play_craps_roll_again(total):
    result = craps.play_craps(total)
    assert -1 == result